import React, { useState } from "react";
import { BrowserRouter as Router, Switch, Route } from "react-router-dom";
import GajetList from "./components/gajetlist/GajetList";
import GajetPage from "./components/gajetPage/GajetPage";
// image
import thermometer from "./assets/thermometer.svg";
import Height from "./assets/Height.svg";
import Scales from "./assets/Scales.svg";
import PulseOximeter from "./assets/PulseOximeter.svg";
import Spirometry from "./assets/Spirometry.svg";
import Abslang from "./assets/Abslang.svg";
import ECG from "./assets/ECG.svg";
import Stethoscope from "./assets/Stethoscope.svg";
import sonicaid from "./assets/sonicaid.svg";
import Dermatoscope from "./assets/Dermatoscope.svg";
import Otoscope from "./assets/Otoscope.svg";
import Ophthalmoscope from "./assets/Ophthalmoscope.svg";

const App = () => {
  const [gajets] = useState([
    {
      title: "ترمومتر",
      bgColor: "#A8E03D30",
      id: 1,
      icon: thermometer,
    },
    {
      title: "قدسنج",
      bgColor: "#FEAE2C30",
      id: 2,
      icon: Height,
    },
    {
      title: "ترازو",
      bgColor: "#8474F630",
      id: 3,
      icon: Scales,
    },
    {
      title: "پالس اکسیمتر",
      bgColor: "#F8767430",
      id: 4,
      icon: PulseOximeter,
    },
    {
      title: "اسپیرومتری",
      bgColor: "#CDA6FF30",
      id: 5,
      icon: Spirometry,
    },
    {
      title: "نگهدارنده آبسلانگ هوشمند",
      bgColor: "#08E3E430",
      id: 6,
      icon: Abslang,
    },
    {
      title: "نوار قلب",
      bgColor: "#9C9C9C30",
      id: 7,
      icon: ECG,
    },
    {
      title: "استتوسکوپ",
      bgColor: "#F11BE230",
      id: 8,
      icon: Stethoscope,
    },
    {
      title: "سونیکید",
      bgColor: "#76C4F530",
      id: 9,
      icon: sonicaid,
    },
    {
      title: "درماتوسکوپ",
      bgColor: "#A8E03D30",
      id: 10,
      icon: Dermatoscope,
    },
    {
      title: "اتوسکوپ",
      bgColor: "#FEAE2C30",
      id: 11,
      icon: Otoscope,
    },
    {
      title: "افتالموسکوپ",
      bgColor: "#8474F630",
      id: 12,
      icon: Ophthalmoscope,
    },
  ]);
  const [gajetId, setGajetId] = useState()
  return (
    <>
      <Router>
        <Switch>
          <Route path="/gajet-list">
            <GajetList gajets={gajets} setGajetId={setGajetId} gajetId={gajetId} />
          </Route>
          <Route path="/gajet">
            <GajetPage gajetId={gajetId} />
          </Route>
        </Switch>
      </Router>
    </>
  );
};

export default App;
